<?php
/* This script adds a new %vmenu% wikistyle that can be applied to
   unordered lists, and will cause them to be displayed according to 
   "Drop-Down Menus, Horizontal Style" from A List Apart
   (http://www.alistapart.com/articles/horizdropdowns/)
*/

global $WikiStyle, $HTMLStylesFmt, $HTMLHeaderFmt;

SDV($WikiStyle['vmenu'],array('apply'=>'block','class'=>'vmenu'));

$HTMLStylesFmt['vmenu'] = " 
  ul.vmenu {
    z-index: 1;
    margin: 0; 
    width: 140px;
    border-bottom: 0px solid #ccc;
    padding: 0;
    list-style: none;
  }
  ul.vmenu li { 
    position: relative;
    margin: 0;
    border: 0px solid #ccc;
    padding: 1px;
    background-color: #F0F0F0;
    color: #777;
    text-decoration: none;
  }
  ul.vmenu li ul { 
    display: none;
    z-index: 99;
    position: absolute; 
    left: -1px; top: 14px;
    margin: 0;
    width: 145px;
    padding: 0;
    padding-top: 1px;
    padding-bottom: 1px;
    background-color: #ccc;
    list-style: none;
   }
  ul.vmenu li ul li { 
    z-index: 89;
    margin: 0px; 
    border-right: 1px solid #ccc;
    border-left: 1.4em solid #ccc;
    padding-left: 5px; 
    padding-bottom: 4px;
    list-style: none; 
  }  
  ul.vmenu li ul li a { 
    text-decoration: none;
  }
  ul.vmenu li ul li a:hover { 
    text-decoration: underline;
  }
  ul.vmenu li:hover ul, ul.vmenu li.over ul { display:block; }
  ul.vmenu li.over ul li { display:block; }
  /* Fix IE.  Hide from IE Mac.\*/
  * html ul.vmenu li ul { top:13px; left:3px; }
  /* End */
";


$HTMLHeaderFmt['vmenu'] = '
  <script language="javascript" type="text/javascript"><!--
    vmenu = function() {
      if (document.all) {
        for(k=0;k<document.all.length;k++) {
          navRoot = document.all[k];
          if (navRoot.className!="vmenu") continue;
          for (i=0; i<navRoot.childNodes.length; i++) {
            node = navRoot.childNodes[i];
            if (node.nodeName=="LI") {
              node.onmouseover=function() {
                this.className+=" over";
              }
              node.onmouseout=function() {
                this.className=this.className.replace(" over", "");
              }
            }
          }
        }
      }
    }
    window.onload=vmenu;
  --></script>';

?>